%bcond_without perl_DBIx_XHTML_Table_enables_optional_test
Name:           perl-DBIx-XHTML_Table
Version:        1.49
Release:    1%{?dist}
Summary:        SQL query result set to XHTML table
License:        Artistic-2.0
URL:            https://metacpan.org/release/DBIx-XHTML_Table
Source0:        https://cpan.metacpan.org/authors/id/J/JE/JEFFA/DBIx-XHTML_Table-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Carp)
BuildRequires:  perl(DBI)
BuildRequires:  perl(vars)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(utf8)
%if %{with perl_DBIx_XHTML_Table_enables_optional_test}
BuildRequires:  perl(DBD::CSV)
BuildRequires:  perl(HTML::TableExtract)
%endif

%description
DBIx::XHTML_Table is a DBI extension that creates an XHTML table from a
database query result set. It was created to fill the gap between fetching
rows from a database and transforming them into a web browser renderable
table. DBIx::XHTML_Table is intended for programmers who want the
responsibility of presenting (decorating) data, easily. This module is
meant to be used in situations where the concern for presentation and logic
separation is overkill. Providing logic or editable data is beyond the
scope of this module, but it is capable of doing such.

%prep
%setup -q -n DBIx-XHTML_Table-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes readme.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.49-1
- initial build
